{
  "extends": ["airbnb-base", "prettier"],
  "env": {
    "browser": true,
    "es6": true,
    "jest": true
  },
  "rules": {
    "no-restricted-syntax": ["error", "For"],
    "no-await-in-loop": ["off"],
    "max-classes-per-file": ["off"],
    "no-shadow": "off",
    "@typescript-eslint/no-shadow": ["error"],
    "camelcase": "off",
    "class-methods-use-this": "off",
    "comma-dangle": [
      "error",
      {
        "arrays": "always-multiline",
        "objects": "always-multiline",
        "imports": "always-multiline",
        "exports": "always-multiline",
        "functions": "never"
      }
    ],
    "no-unused-expressions": 0,
    "import/first": "off",
    "import/extensions": "off",
    "import/newline-after-import": "off",
    "import/no-extraneous-dependencies": "off",
    "import/no-unresolved": "off",
    "import/prefer-default-export": "off",
    "import/order": "off",
    "lines-between-class-members": "off",
    "no-unused-vars": "off",
    "no-underscore-dangle": "off",
    "no-empty-function": [
      "error",
      {
        "allow": ["constructors"]
      }
    ],
    "no-useless-constructor": "off",
    "@typescript-eslint/no-useless-constructor": "off",
    "@typescript-eslint/no-unused-vars": [
      "error",
      {
        "argsIgnorePattern": "^_"
      }
    ],
    "multiline-ternary": ["warn", "always-multiline"],
    "no-duplicate-imports": "error",
    "no-multiple-empty-lines": [
      "error",
      {
        "max": 1,
        "maxBOF": 0,
        "maxEOF": 1
      }
    ],
    "object-property-newline": [
      "error",
      {
        "allowAllPropertiesOnSameLine": false
      }
    ],
    "operator-linebreak": ["off", "after"],
    "padding-line-between-statements": [
      "error",
      {
        "blankLine": "always",
        "prev": "*",
        "next": [
          "return",
          "class",
          "export",
          "switch",
          "throw",
          "try",
          "while",
          "for",
          "block",
          "if"
        ]
      },
      {
        "blankLine": "always",
        "prev": ["const", "let", "var"],
        "next": "*"
      },
      {
        "blankLine": "any",
        "prev": ["const", "let", "var"],
        "next": ["const", "let", "var"]
      },
      {
        "blankLine": "any",
        "prev": ["export"],
        "next": ["export"]
      }
    ],
    "sort-imports": [
      "off"
    ],
    "brace-style": [
      "off",
      "1tbs",
      {
        "allowSingleLine": false
      }
    ],
    "curly": ["error", "all"],
    "max-len": ["warn", 150]
  },
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": 2018,
    "sourceType": "module"
  },
  "plugins": ["@typescript-eslint"]
}
